DocValuesStats.SortedDoubleDocValuesStats (Lucene 10.5.0 misc API)
Description: declaration: package: org.apache.lucene.misc.search, class: DocValuesStats, class: SortedDoubleDocValuesStats

Package org.apache.lucene.misc.search

# Class DocValuesStats.SortedDoubleDocValuesStats

java.lang.Object
org.apache.lucene.misc.search.DocValuesStats<Double>
org.apache.lucene.misc.search.DocValuesStats.SortedNumericDocValuesStats<Double>
org.apache.lucene.misc.search.DocValuesStats.SortedDoubleDocValuesStats

Enclosing class:
  `DocValuesStats<T>`

public static final class DocValuesStats.SortedDoubleDocValuesStats extends DocValuesStats.SortedNumericDocValuesStats<Double>
Holds DocValues statistics for a sorted-numeric field storing `double` values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.misc.search.DocValuesStats

  `DocValuesStats.DoubleDocValuesStats, DocValuesStats.LongDocValuesStats, DocValuesStats.NumericDocValuesStats<T extends Number>, DocValuesStats.SortedDocValuesStats, DocValuesStats.SortedDoubleDocValuesStats, DocValuesStats.SortedLongDocValuesStats, DocValuesStats.SortedNumericDocValuesStats<T extends Number>, DocValuesStats.SortedSetDocValuesStats`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.misc.search.DocValuesStats.SortedNumericDocValuesStats

  `mean, sndv, valuesCount, variance`

  ### Fields inherited from class org.apache.lucene.misc.search.DocValuesStats

  `count, field, max, min, missing`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortedDoubleDocValuesStats(String field)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doAccumulate(int count)`
  Called after `DocValuesStats.accumulate(int)` was processed and verified that the document has a value for the field.
  `protected void`
  `merge(DocValuesStats<Double> other)`
  Merges the statistics from `other` into this instance.
  `Double`
  `sum()`
  Returns the sum of values of the field.

  ### Methods inherited from class org.apache.lucene.misc.search.DocValuesStats.SortedNumericDocValuesStats

  `hasValue, init, mean, stdev, valuesCount, variance`

  ### Methods inherited from class org.apache.lucene.misc.search.DocValuesStats

  `count, field, max, min, missing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SortedDoubleDocValuesStats

    public SortedDoubleDocValuesStats(String field)

- ## Method Details

  - ### doAccumulate

    protected void doAccumulate(int count) throws IOException
    Description copied from class: `DocValuesStats`
    Called after `DocValuesStats.accumulate(int)` was processed and verified that the document has a value for the field. Implementations should update the statistics based on the value of the current document.
    Specified by:
      `doAccumulate` in class `DocValuesStats<Double>`
    Parameters:
      `count` - the updated number of documents with value for this field.
    Throws:
      `IOException`

  - ### sum

    public Double sum()
    Description copied from class: `DocValuesStats.SortedNumericDocValuesStats`
    Returns the sum of values of the field. Note that if the values are large, the `sum` might overflow.
    Specified by:
      `sum` in class `DocValuesStats.SortedNumericDocValuesStats<Double>`

  - ### merge

    protected void merge(DocValuesStats<Double> other)
    Description copied from class: `DocValuesStats`
    Merges the statistics from `other` into this instance. After the call, this instance reflects the combined statistics of both segments as if they had been collected together. Subclasses that track additional statistics (e.g. mean, variance, sum) must override this method, call `super.merge(other)`, and combine their own fields accordingly.
    Overrides:
      `merge` in class `DocValuesStats.SortedNumericDocValuesStats<Double>`
    Parameters:
      `other` - the stats instance to merge into this one; must be of the same concrete type